ApiRollingUpgradeServicesArgs (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiRollingUpgradeServicesArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiRollingUpgradeServicesArgs

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiRollingUpgradeServicesArgs
      extends Object

  Arguments used for Rolling Upgrade command.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiRollingUpgradeServicesArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiRollingUpgradeServicesArgs` | `addUpgradeServiceNamesItem(String upgradeServiceNamesItem)`
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getSlaveBatchSize()` Number of hosts with slave roles to upgrade at a time.
    `BigDecimal` | `getSlaveFailCountThreshold()` The threshold for number of slave host batches that are allowed to fail to restart before the entire command is considered failed.
    `BigDecimal` | `getSleepSeconds()` Number of seconds to sleep between restarts of slave host batches.
    `String` | `getUpgradeFromCdhVersion()` Current CDH Version of the services.
    `List<String>` | `getUpgradeServiceNames()` List of services to upgrade.
    `String` | `getUpgradeToCdhVersion()` Target CDH Version for the services.
    `int` | `hashCode()`
    `void` | `setSlaveBatchSize(BigDecimal slaveBatchSize)`
    `void` | `setSlaveFailCountThreshold(BigDecimal slaveFailCountThreshold)`
    `void` | `setSleepSeconds(BigDecimal sleepSeconds)`
    `void` | `setUpgradeFromCdhVersion(String upgradeFromCdhVersion)`
    `void` | `setUpgradeServiceNames(List<String> upgradeServiceNames)`
    `void` | `setUpgradeToCdhVersion(String upgradeToCdhVersion)`
    `ApiRollingUpgradeServicesArgs` | `slaveBatchSize(BigDecimal slaveBatchSize)`
    `ApiRollingUpgradeServicesArgs` | `slaveFailCountThreshold(BigDecimal slaveFailCountThreshold)`
    `ApiRollingUpgradeServicesArgs` | `sleepSeconds(BigDecimal sleepSeconds)`
    `String` | `toString()`
    `ApiRollingUpgradeServicesArgs` | `upgradeFromCdhVersion(String upgradeFromCdhVersion)`
    `ApiRollingUpgradeServicesArgs` | `upgradeServiceNames(List<String> upgradeServiceNames)`
    `ApiRollingUpgradeServicesArgs` | `upgradeToCdhVersion(String upgradeToCdhVersion)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiRollingUpgradeServicesArgs

          public ApiRollingUpgradeServicesArgs()

  - ### Method Detail

    - #### upgradeFromCdhVersion

          public ApiRollingUpgradeServicesArgs upgradeFromCdhVersion(String upgradeFromCdhVersion)

    - #### getUpgradeFromCdhVersion

          public String getUpgradeFromCdhVersion()

      Current CDH Version of the services. Example versions are: \"5.1.0\", \"5.2.2\" or \"5.4.0\"
      Returns:
        upgradeFromCdhVersion

    - #### setUpgradeFromCdhVersion

          public void setUpgradeFromCdhVersion(String upgradeFromCdhVersion)

    - #### upgradeToCdhVersion

          public ApiRollingUpgradeServicesArgs upgradeToCdhVersion(String upgradeToCdhVersion)

    - #### getUpgradeToCdhVersion

          public String getUpgradeToCdhVersion()

      Target CDH Version for the services. The CDH version should already be present and activated on the nodes. Example versions are: \"5.1.0\", \"5.2.2\" or \"5.4.0\"
      Returns:
        upgradeToCdhVersion

    - #### setUpgradeToCdhVersion

          public void setUpgradeToCdhVersion(String upgradeToCdhVersion)

    - #### slaveBatchSize

          public ApiRollingUpgradeServicesArgs slaveBatchSize(BigDecimal slaveBatchSize)

    - #### getSlaveBatchSize

          public BigDecimal getSlaveBatchSize()

      Number of hosts with slave roles to upgrade at a time. Must be greater than zero. Default is 1.
      Returns:
        slaveBatchSize

    - #### setSlaveBatchSize

          public void setSlaveBatchSize(BigDecimal slaveBatchSize)

    - #### sleepSeconds

          public ApiRollingUpgradeServicesArgs sleepSeconds(BigDecimal sleepSeconds)

    - #### getSleepSeconds

          public BigDecimal getSleepSeconds()

      Number of seconds to sleep between restarts of slave host batches. Must be greater than or equal to 0. Default is 0.
      Returns:
        sleepSeconds

    - #### setSleepSeconds

          public void setSleepSeconds(BigDecimal sleepSeconds)

    - #### slaveFailCountThreshold

          public ApiRollingUpgradeServicesArgs slaveFailCountThreshold(BigDecimal slaveFailCountThreshold)

    - #### getSlaveFailCountThreshold

          public BigDecimal getSlaveFailCountThreshold()

      The threshold for number of slave host batches that are allowed to fail to restart before the entire command is considered failed. Must be greater than or equal to 0. Default is 0. <p> This argument is for ADVANCED users only. </p>
      Returns:
        slaveFailCountThreshold

    - #### setSlaveFailCountThreshold

          public void setSlaveFailCountThreshold(BigDecimal slaveFailCountThreshold)

    - #### upgradeServiceNames

          public ApiRollingUpgradeServicesArgs upgradeServiceNames(List<String> upgradeServiceNames)

    - #### addUpgradeServiceNamesItem

          public ApiRollingUpgradeServicesArgs addUpgradeServiceNamesItem(String upgradeServiceNamesItem)

    - #### getUpgradeServiceNames

          public List<String> getUpgradeServiceNames()

      List of services to upgrade. Only the services that support rolling upgrade should be included.
      Returns:
        upgradeServiceNames

    - #### setUpgradeServiceNames

          public void setUpgradeServiceNames(List<String> upgradeServiceNames)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.